<?php
/* -----------------------------------------------------------------------------
  Plugin     : UserStat
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  --------------------------------------------------------------------------- */
//ini_set('error_reporting', E_ALL);
//ini_set('display_errors', true);

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

if(!defined('USERSTAT_DIR')) define('USERSTAT_DIR' , basename(dirname(__FILE__)));
if(!defined('USERSTAT_PATH')) define('USERSTAT_PATH' , PHPWG_PLUGINS_PATH . USERSTAT_DIR . '/');


global $gpc_installed, $lang; //needed for plugin manager compatibility

/* -----------------------------------------------------------------------------
UserStat needs the Grum Plugin Classe
----------------------------------------------------------------------------- */
$gpc_installed=false;
if(file_exists(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/common_plugin.class.inc.php'))
{
  @include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/main.inc.php');
  // need GPC release greater or equal than 2.0.5
  if(checkGPCRelease(2,0,5))
  {
    @include_once("userstat_aim.class.inc.php");
    $gpc_installed=true;
  }
}

function gpcMsgError(&$errors)
{
  array_push($errors, sprintf(l10n('us_gpc2_not_installed'), "2.0.5"));
}
// -----------------------------------------------------------------------------


load_language('plugin.lang', USERSTAT_PATH);

function plugin_install($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpc_installed;
  if($gpc_installed)
  {
    $obj = new UserStat_AIM($prefixeTable, __FILE__);
    $obj->delete_config();
    $obj->init_config();
    $obj->save_config();
  }
  else
  {
    gpcMsgError($errors);
  }
}

function plugin_activate($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpc_installed;
  if($gpc_installed)
  {
    $obj = new UserStat_AIM($prefixeTable, __FILE__);
    $obj->init_config();
    $obj->load_config();
    $obj->save_config();
  }
  else
  {
    gpcMsgError($errors);
  }
}

function plugin_deactivate($plugin_id)
{
}

function plugin_uninstall($plugin_id)
{
  global $prefixeTable, $gpc_installed;
  if($gpc_installed)
  {
    $obj = new UserStat_AIM($prefixeTable, __FILE__);
    $obj->delete_config();
  }
  else
  {
    gpcMsgError($errors);
  }
}



?>
